update t_bd_bizpartner set fpartnerrole =',1,' where fpartnerrole =' ' and fiscustomer='0' and fissupplier='1';
update t_bd_bizpartner set fpartnerrole =',2,' where fpartnerrole =' ' and fiscustomer='1' and fissupplier='0';
update t_bd_bizpartner set fpartnerrole =',1,2,' where fpartnerrole =' ' and fiscustomer='1' and fissupplier='1';


UPDATE T_BD_SUPPLIER AA SET FTYPE=(
  SELECT BB.FTYPE FROM T_BD_BIZPARTNER BB WHERE AA.FBIZPARTNERID=BB.FID
) WHERE EXISTS(SELECT 1 FROM T_BD_BIZPARTNER BB WHERE AA.FBIZPARTNERID=BB.FID);

UPDATE T_BD_CUSTOMER AA SET FTYPE=(
  SELECT BB.FTYPE FROM T_BD_BIZPARTNER BB WHERE AA.FBIZPARTNERID=BB.FID
) WHERE EXISTS(SELECT 1 FROM T_BD_BIZPARTNER BB WHERE AA.FBIZPARTNERID=BB.FID);